/**
 * 字典值查询接口
 */
import request from '@/utils/request'

export function getLampDeviceType() {
  return request({
    url: '/dict/code/lampDeviceType',
    method: 'get'
  })
}
export function getPriority() {
  return request({
    url: '/dict/code/priority',
    method: 'get'
  })
}
export function getLampStrategyType() {
  return request({
    url: '/dict/code/lampStrategyType',
    method: 'get'
  })
}

// 性别
export function getSexType(params) {
  return request({
    url: '/dict/code/sysSex',
    method: 'get',
    params
  })
}
// 民族
export function getNationType(params) {
  return request({
    url: '/dict/code/nationType',
    method: 'get',
    params
  })
}
// 人员类别
export function getPersonType(params) {
  return request({
    url: '/dict/code/personType',
    method: 'get',
    params
  })
}
// 采集状态
export function getCollectState(params) {
  return request({
    url: '/dict/code/collectState',
    method: 'get',
    params
  })
}

// 证件类型
export function getCardType(params) {
  return request({
    url: '/dict/code/cardType',
    method: 'get',
    params
  })
}

// 采集报警原因列表
export function getCollAlarmReason(params) {
  return request({
    url: '/dict/code/collAlarmReason',
    method: 'get',
    params
  })
}

// 识别报警列表
export function getRecAlarmReason(params) {
  return request({
    url: '/dict/code/recAlarmReason',
    method: 'get',
    params
  })
}

// 设备类型
export function getDeviceType(params) {
  return request({
    url: '/dict/code/deviceType',
    method: 'get',
    params
  })
}

// 获取控制器类型字典值
export function getControllerType(params) {
  return request({
    url: 'dict/code/controllerType',
    method: 'get',
    params
  })
}

// 获取灯杆类型字典值
export function getLamppostType(params) {
  return request({
    url: 'dict/code/lamppostType',
    method: 'get',
    params
  })
}
